# Get sheet summary

Returns object containing array of summary fields. Allows for pagination of results.

Endpoint: GET /sheets/{sheetId}/summary
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

## Query parameters:

  - `include` (string)
    A comma-separated list of elements to include in the response.
* format: includes format info for cells, rows, and summary fields
* writerInfo: includes createdBy and modifiedBy attributes for rows and summary fields
    Enum: "format", "writerInfo"

  - `exclude` (string)
    A comma-separated list of elements to not include in the response.
* displayValue: excludes displayValue info for cells, rows, and summary fields
* image: excludes image attributes for cells and summary fields
* imageAltText: excludes alt text for cells and summary fields
    Enum: "displayValue", "image", "imageAltText"

## Response 200 fields (application/json):

  - `fields` (array)
    Array of summary (or metadata) fields defined on the sheet.

  - `fields.id` (number)
    SummaryField ID.

  - `fields.contactOptions` (array)
    Array of ContactOption objects to specify a pre-defined list of values for the column. Column type must be CONTACT_LIST.

  - `fields.contactOptions.email` (string)
    A parsable email address.

  - `fields.contactOptions.name` (string)
    Can be a user's name, display name, or free text.

  - `fields.createdAt` (any)

  - `fields.createdBy` (object)
    User object containing name and email of the creator of this summary field.

  - `fields.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `fields.createdBy.name` (string)
    Example: "Jane Doe"

  - `fields.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `fields.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this column has a non-default format applied to it.

  - `fields.formula` (string)
    The formula for a cell, if set.

  - `fields.hyperlink` (object)

  - `fields.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `fields.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `fields.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `fields.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `fields.image` (object)

  - `fields.image.altText` (string)
    Alternate text for the image.

  - `fields.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `fields.image.id` (string)
    Image ID.

  - `fields.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `fields.index` (number)
    Field index or position. This number is zero-based.

  - `fields.locked` (boolean)
    Indicates whether the field is locked.

  - `fields.lockedForUser` (boolean)
    Indicates whether the field is locked for the requesting user.

  - `fields.modifiedAt` (any)

  - `fields.modifiedBy` (object)
    User object containing name and email of the user who most recently modified this summary field.

  - `fields.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `fields.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `fields.objectValue` (any)

  - `fields.options` (array)
    When applicable for PICKLIST column type. Array of the options available for the field.

  - `fields.symbol` (string)
    When applicable for PICKLIST column type.

  - `fields.title` (string)
    Arbitrary name, must be unique within summary.

  - `fields.type` (string)
    Enum: "ABSTRACT_DATETIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATETIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"

  - `fields.validation` (boolean)
    Indicates whether summary field values are restricted to the type.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


